Package: org.codehaus.groovy.classgen.asm

## [Java] Class WriterController

- org.codehaus.groovy.classgen.asm.WriterController

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `optimizeForInt` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AsmClassGenerator` | `getAcg()`
    `` | `AssertionWriter` | `getAssertionWriter()`
    `` | `BinaryExpressionHelper` | `getBinaryExpressionHelper()`
    `` | `int` | `getBytecodeVersion()`
    `` | `CallSiteWriter` | `getCallSiteWriter()`
    `` | `String` | `getClassName()`
    `` | `ClassNode` | `getClassNode()`
    `` | `org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
    `` | `ClosureWriter` | `getClosureWriter()`
    `` | `CompileStack` | `getCompileStack()`
    `` | `ConstructorNode` | `getConstructorNode()`
    `` | `GeneratorContext` | `getContext()`
    `` | `org.objectweb.asm.ClassVisitor` | `getCv()`
    `` | `InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
    `` | `String` | `getInternalBaseClassName()`
    `` | `String` | `getInternalClassName()`
    `` | `InvocationWriter` | `getInvocationWriter()`
    `` | `LambdaWriter` | `getLambdaWriter()`
    `` | `int` | `getLineNumber()`
    `` | `MethodNode` | `getMethodNode()`
    `` | `MethodPointerExpressionWriter` | `getMethodPointerExpressionWriter()`
    `` | `MethodReferenceExpressionWriter` | `getMethodReferenceExpressionWriter()`
    `` | `org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `` | `int` | `getNextHelperMethodIndex()`
    `` | `OperandStack` | `getOperandStack()`
    `` | `ClassNode` | `getOutermostClass()`
    `` | `ClassNode` | `getReturnType()`
    `` | `SourceUnit` | `getSourceUnit()`
    `` | `StatementWriter` | `getStatementWriter()`
    `` | `List<String>` | `getSuperMethodNames()`
    `` | `TypeChooser` | `getTypeChooser()`
    `` | `UnaryExpressionHelper` | `getUnaryExpressionHelper()`
    `` | `void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
    `` | `boolean` | `isConstructor()`
    `` | `boolean` | `isFastPath()`
    `` | `boolean` | `isInGeneratedFunction()`
    `` | `boolean` | `isInGeneratedFunctionConstructor()`
    `` | `boolean` | `isInScriptBody()` Returns: true if we are in a script body, where all variables declared are no longer local variables but are properties
    `` | `boolean` | `isNotClinit()`
    `` | `boolean` | `isStaticConstructor()`
    `` | `boolean` | `isStaticContext()`
    `` | `boolean` | `isStaticMethod()`
    `` | `void` | `resetLineNumber()`
    `` | `void` | `setConstructorNode(ConstructorNode constructorNode)`
    `` | `void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
    `` | `void` | `setLineNumber(int lineNumber)`
    `` | `void` | `setMethodNode(MethodNode methodNode)`
    `` | `void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `boolean` | `shouldOptimizeForInt()`
    `` | `void` | `switchToFastPath()`
    `` | `void` | `switchToSlowPath()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public boolean optimizeForInt

  - ### Method Detail

    - #### public AsmClassGenerator getAcg()

    - #### public AssertionWriter getAssertionWriter()

    - #### public BinaryExpressionHelper getBinaryExpressionHelper()

    - #### public int getBytecodeVersion()

    - #### public CallSiteWriter getCallSiteWriter()

    - #### public String getClassName()

    - #### public ClassNode getClassNode()

    - #### public org.objectweb.asm.ClassVisitor getClassVisitor()

    - #### public ClosureWriter getClosureWriter()

    - #### public CompileStack getCompileStack()

    - #### public ConstructorNode getConstructorNode()

    - #### public GeneratorContext getContext()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public org.objectweb.asm.ClassVisitor getCv()

    - #### public InterfaceHelperClassNode getInterfaceClassLoadingClass()

    - #### public String getInternalBaseClassName()

    - #### public String getInternalClassName()

    - #### public InvocationWriter getInvocationWriter()

    - #### public LambdaWriter getLambdaWriter()

    - #### public int getLineNumber()

    - #### public MethodNode getMethodNode()

    - #### public MethodPointerExpressionWriter getMethodPointerExpressionWriter()

    - #### public MethodReferenceExpressionWriter getMethodReferenceExpressionWriter()

    - #### public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### public int getNextHelperMethodIndex()

    - #### public OperandStack getOperandStack()

    - #### public ClassNode getOutermostClass()

    - #### public ClassNode getReturnType()

    - #### public SourceUnit getSourceUnit()

    - #### public StatementWriter getStatementWriter()

    - #### public List<String> getSuperMethodNames()

    - #### public TypeChooser getTypeChooser()

    - #### public UnaryExpressionHelper getUnaryExpressionHelper()

    - #### public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

    - #### public boolean isConstructor()

    - #### public boolean isFastPath()

    - #### public boolean isInGeneratedFunction()

    - #### public boolean isInGeneratedFunctionConstructor()

    - #### public boolean isInScriptBody()

      Returns:
        true if we are in a script body, where all variables declared are no longer local variables but are properties

    - #### public boolean isNotClinit()

    - #### public boolean isStaticConstructor()

    - #### public boolean isStaticContext()

    - #### public boolean isStaticMethod()

    - #### public void resetLineNumber()

    - #### public void setConstructorNode(ConstructorNode constructorNode)

    - #### public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

    - #### public void setLineNumber(int lineNumber)

    - #### public void setMethodNode(MethodNode methodNode)

    - #### public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### public boolean shouldOptimizeForInt()

    - #### public void switchToFastPath()

    - #### public void switchToSlowPath()